package com.blockchain.server.yyyf.init;


import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

/**
 * @author Mr.Xu
 * @version 1.0
 * @className InitProject
 * @description 初始化项目
 * @date 2020-05-06 16:16
 */
@Component
public class InitProject implements ApplicationRunner {
    private static final Logger LOG = LoggerFactory.getLogger(InitProject.class);


    @Override
    public void run(ApplicationArguments args) throws Exception {
        LOG.info("==========init project===========");
        try {
            InitData.getInstance().init();
            LOG.info("============init data success============");
        } catch (Exception e) {
            LOG.error("init data error={}", e.getMessage());
        }

    }
}
