package com.blockchain.server.yyyf.service;

import com.blockchain.server.yyyf.dto.TransactResultDto;
import com.blockchain.server.yyyf.entity.YyyfMoney;

import java.math.BigDecimal;

public interface YyyfMoneyService {
    /**
     * @description 交易转账
     * @author zijie
     * @date  2020-05-26 21:51:15
     * @param [assessUserId, out, in, amount]
     * @return com.blockchain.server.yyyf.dto.TransactResultDto
     **/
    TransactResultDto transact(String assessUserId, String out, String in, BigDecimal amount);


    /**
     * @description 插入
     * @author zijie
     * @date  2020-05-26 22:48:08
     * @param [yyyfMoney]
     * @return void
     **/
    void insert(YyyfMoney yyyfMoney);

    /**
     * @description 更新
     * @author zijie
     * @date  2020-05-26 22:48:19
     * @param [yyyfMoney]
     * @return void
     **/
    void update(YyyfMoney yyyfMoney);




    /**
     * @description 充币、提币、法币交易
     * @author zijie
     * @date  2020-07-12 22:45:43
     * @param [assessUserId, coinName, balance]
     * @return boolean
     **/
    boolean resetWallet(String assessUserId, String coinName, BigDecimal balance);

    /**
     * @description 法币交易
     * @author zijie
     * @date  2020-07-12 22:46:21
     * @param [assessUserId, coinName, balance, payType, payMoney]
     * @return boolean
     **/
  //  boolean resetWallet(String assessUserId, String coinName, BigDecimal balance, String payType, BigDecimal payMoney);
}
